Package org.springframework.http.server.reactive

# Interface SslInfo

public interface SslInfo
A holder for SSL session information.

Since:
  5.0.2
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`X509Certificate[]`
`getPeerCertificates()`
Return SSL certificates associated with the request, if any.
`String`
`getSessionId()`
Return the SSL session id, if any.

## Method Details

### getSessionId

@Nullable String getSessionId()
Return the SSL session id, if any.

### getPeerCertificates

@Nullable X509Certificate[] getPeerCertificates()
Return SSL certificates associated with the request, if any.